%define majver %(echo %version| cut -d. -f1-2)
%define pkgver %(echo %version | tr _ -)
#%define betaver %(echo %version| cut -d. -f3)
Name:          grub204
Epoch:         2
Version:       2.04
Release:       11mamba
Summary:       A Multiboot boot loader derived from GRUB, the GRand Unified Bootloader
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/grub/
# Get from bazaar repository with:
# bzr branch http://bzr.savannah.gnu.org/r/grub/trunk/grub
# cd grub; ./autogen.sh; ./configure; make dist
#Source:        ftp://ftp.gnu.org/gnu/grub/grub-%{version}.tar.xz
#Source:        git://git.savannah.gnu.org/grub.git/grub-%{pkgver}/grub-%{version}.tar.bz2
Source:        ftp://ftp.gnu.org/gnu/grub/grub-%{version}.tar.gz
Source1:       http://unifoundry.com/unifont-5.1.20080820.bdf.gz
Source2:       grub2-default
Source3:       grub-2.00-openmamba-conf-other
Source4:       grub2-sysconfig
Source5:       grub-2.00-openmamba-conf-other-linux
Source6:       grub2-conf-failsafe
Patch1:        grub-2.02-openmamba_boot_choices.patch
Patch2:        grub-2.00-stdio.patch
Patch3:        grub2-1.97-sysconfig.patch
Patch9:        grub2-1.99-fix_saved_entry_default.patch
Patch10:       grub-2.00-flex-2.5.37.patch
Patch11:       grub-2.00-gcc-4.5.patch
Patch12:       grub-2.02_beta3-openmamba-default-nomodeset.patch
Patch13:       grub-2.02-silent-boot.patch
Patch14:       grub-2.04-fix-enable-nls-install-locale-dir.patch
Patch15:       grub-2.04-custom-boot-message.patch
Patch16:       grub-2.04-binutils-2.36.patch
Patch17:       grub-2.04-e2fsprogs-1.47.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdevmapper-devel
BuildRequires: libfreetype-devel
BuildRequires: libfuse-devel
BuildRequires: liblzma-devel
BuildRequires: libzfs-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
BuildRequires: libncurses-devel
BuildRequires: ruby
BuildRequires: bison
BuildRequires: help2man
BuildRequires: flex
BuildRequires: dejavu-fonts-ttf
BuildRequires: libzfs-devel
ExclusiveArch: %{ix86}
Requires:      gettext
%ifnarch x86_64 aarch64
Requires:      vbetest
%endif
%ifarch %{ix86}
Provides:      grub
Obsoletes:     grub <= 2:2.04
Provides:      grub2
Obsoletes:     grub2 < 2:2.04-7mamba
%endif
Requires(post):%{__install_info}
Requires:      os-prober >= 1.62-2mamba
Provides:      bootloader

%description
GNU GRUB is a Multiboot boot loader. It was derived from GRUB, GRand Unified Bootloader, which was originally designed and implemented by Erich Stefan Boleyn. 
Briefly, boot loader is the first software program that runs when a computer starts. It is responsible for loading and transferring control to the operating system kernel software (such as the Hurd or the Linux). The kernel, in turn, initializes the rest of the operating system (e.g. GNU).

%package theme-starfield
Summary:      Starfield theme for GRUB
Group:        System/Kernel and Hardware

%description theme-starfield
This package contains the startfield theme provided with %{name}.

%package efi
Summary:      GRUB Multiboot boot loader build for EFI
Group:        System/Kernel and Hardware
%ifnarch aarch64
Requires:     efibootmgr
%endif
%ifarch %{ix86}
Provides:     grub-efi
Obsoletes:    grub-efi <= 2:2.04
%endif

%description efi
GNU GRUB is a Multiboot boot loader. It was derived from GRUB, GRand Unified Bootloader, which was originally designed and implemented by Erich Stefan Boleyn. 
Briefly, boot loader is the first software program that runs when a computer starts. It is responsible for loading and transferring control to the operating system kernel software (such as the Hurd or the Linux). The kernel, in turn, initializes the rest of the operating system (e.g. GNU).
This package contains the efi boot files needed to boot according to EFI standard.

%package efi-x86_64
Summary:      GRUB Multiboot boot loader build for EFI (64bit)
Group:        System/Kernel and Hardware
Requires:     %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:     efibootmgr
%ifarch %{ix86}
Provides:     grub-efi-x86_64
Obsoletes:    grub-efi-x86_64 <= 2:2.04
%endif

%description efi-x86_64
GNU GRUB is a Multiboot boot loader. It was derived from GRUB, GRand Unified Bootloader, which was originally designed and implemented by Erich Stefan Boleyn. 
Briefly, boot loader is the first software program that runs when a computer starts. It is responsible for loading and transferring control to the operating system kernel software (such as the Hurd or the Linux). The kernel, in turn, initializes the rest of the operating system (e.g. GNU).
This package contains the efi boot files needed to boot according to EFI standard.

%debug_package

%prep
%setup -q -n grub-%{majver}
#-D -T
#:<< _EOF
%patch 1 -p1
%patch 3 -p1
%patch 9 -p1
%patch 12 -p1
%patch 13 -p1
%patch 14 -p1
%patch 15 -p1 -b .custom-boot-message
%patch 16 -p1 -b .binutils-2.36
%patch 17 -p1 -b .e2fsprogs-1.47

gunzip -c %{SOURCE1} > unifont.bdf

# ld.gold has problems with -Wl-Ttext=xxx and produces not working binaries
ld -v | grep "gold" && {
   echo "Error: ld GOLD detected, which is incompatible with grub. Aborting."
   exit 1
}

sh ./linguas.sh
./autogen.sh

%build
#:<< _EOF
# WARNING: build requires ld.bfd; ld.gold produces not working binary
%configure \
%ifarch x86_64 %{ix86}
   --with-platform="pc" \
   --target="i386" \
%endif
   --libdir=%{_prefix}/lib \
%ifarch x86_64
   --enable-efiemu \
%else
   --disable-efiemu \
%endif
   --enable-mm-debug \
   --enable-nls \
   --enable-device-mapper \
   --enable-cache-stats \
   --enable-boot-time \
   --enable-grub-mkfont \
   --enable-grub-mount \
   --enable-libzfs \
   --disable-silent-rules \
   --disable-werror \
   CFLAGS= \
   CXXFLAGS= \
   FFLAGS=

# don't use % make because unset *FLAGS are needed
make

## Generate Latin-1, Latin Extended A+B, Arrows, Box and Block characters:
#./grub-mkfont --output=unifont.pf2 --range=0x0000-0x0241,0x2190-0x21FF,0x2500-0x259f unifont.bdf

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# Build EFI grub (x86_64 build disabled for now because it requires lib32-libdevmapper)
%ifarch %{ix86}
# i386-efi
make clean
rm -f *.d
export EFI_ARCH=i586-openmamba-linux-gnu
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --libdir=%{_prefix}/lib \
   --with-platform=efi --target=${EFI_ARCH} 
#--host=%{_host_arch} TARGET_CC="%{_host}-gcc"
make -j1 CFLAGS="-Wno-error %{optflags} -Os -m32" LDFLAGS_PLATFORM="-m32"
ARCHOUT=i386-efi
install -d %{buildroot}%{_prefix}/lib/grub/${ARCHOUT}
cp grub-core/{*.mod,*.lst,*.img,*.sh,*.lst} %{buildroot}%{_libdir}/grub/${ARCHOUT}/
#./grub-mkimage -o bootia32.efi -O ${ARCHOUT} -p /efi/boot -d ./grub-core part_gpt part_msdos ntfs ntfscomp hfsplus fat ext2 normal chain boot linux echo help gfxterm gettext png efi_gop efi_uga
#`find . -name *.mod | xargs | sed -e 's/.mod//g'`
#% makeinstall
#cp bootia32.efi %{buildroot}%{_prefix}/lib/grub/

# x86_64-efi
make clean
rm -f *.d
export EFI_ARCH=x86_64-openmamba-linux-gnu
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --libdir=%{_prefix}/lib \
 --with-platform=efi --target=${EFI_ARCH}
make -j1 CFLAGS="-Wno-error"
ARCHOUT=x86_64-efi
install -d %{buildroot}%{_prefix}/lib/grub/${ARCHOUT}
cp grub-core/{*.mod,*.lst,*.img,*.sh,*.lst} %{buildroot}%{_prefix}/lib/grub/${ARCHOUT}/
#./grub-mkimage -o bootx64.efi -O ${ARCHOUT} -p /efi/boot -d ./grub-core part_gpt part_msdos ntfs ntfscomp hfsplus fat ext2 normal chain boot linux echo help gfxterm gettext png efi_gop efi_uga
#`find . -name *.mod | xargs | sed -e 's/.mod//g'`
#% makeinstall
#cp bootx64.efi %{buildroot}%{_prefix}/lib/grub/
%endif

%ifarch x86_64
make clean
rm -f *.d
export EFI_ARCH=x86_64-openmamba-linux-gnu
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --libdir=%{_prefix}/lib \
 --with-platform=efi
make -j1 CFLAGS="-Wno-error"
ARCHOUT=x86_64-efi
install -d %{buildroot}%{_prefix}/lib/grub/${ARCHOUT}
cp grub-core/{*.mod,*.lst,*.img,*.sh,*.lst} %{buildroot}%{_prefix}/lib/grub/${ARCHOUT}/
#./grub-mkimage -o bootx64.efi -O ${ARCHOUT} -p /efi/boot -d ./grub-core part_gpt part_msdos ntfs ntfscomp hfsplus fat ext2 normal chain boot linux echo help gfxterm gettext png efi_gop efi_uga
#`find . -name *.mod | xargs | sed -e 's/.mod//g'`
#% makeinstall
#cp bootx64.efi %{buildroot}%{_prefix}/lib/grub/
%endif

#install -D -m0644 unifont.pf2 %{buildroot}/boot/grub/unifont.pf2
install -D -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/default/grub
#install -D -m0755 %{SOURCE3} %{buildroot}%{_sysconfdir}/grub.d/20_other
#install -D -m0755 %{SOURCE5} %{buildroot}%{_sysconfdir}/grub.d/30_other_linux
#install -D -m0755 %{SOURCE6} %{buildroot}%{_sysconfdir}/grub.d/90_linux_failsafe
install -D -m0755 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/grub

cat > %{buildroot}%{_sbindir}/update-grub << _EOF
#!/bin/bash
cp -f /boot/grub/grub.cfg /boot/grub/grub.cfg.old
%{_sbindir}/grub-mkconfig $@ > /boot/grub/grub.cfg
exit $?
_EOF
chmod +x %{buildroot}%{_sbindir}/update-grub

install -d -m0755 %{buildroot}/boot/grub
install -d -m0755 %{buildroot}/boot/efi

%find_lang grub || touch %{name}.lang

#rm -f %{buildroot}%{_sysconfdir}/grub.d/30_os-prober

%post
%install_info grub.info
:

%preun
%uninstall_info grub.info
:

%posttrans
if [ $1 -ge 1 ]; then
   if [ -e /etc/sysconfig/grub ]; then
       . /etc/sysconfig/grub
   fi
   update-grub &>/dev/null || true
   if [ "$GRUB_INSTALL_DEVICE" ]; then
      grub-install `readlink -f $GRUB_INSTALL_DEVICE`
   fi
fi
:


%posttrans efi
if [ $1 -ge 1 ]; then
   if [ -e /etc/sysconfig/grub ]; then
       . /etc/sysconfig/grub
   fi
   . /etc/os-release
   if [ "$GRUB_INSTALL_DEVICE_EFI" -a -e /sys/firmware/efi ]; then
      mount $GRUB_INSTALL_DEVICE_EFI /boot/efi && {
         grub-install --target=i386-efi --efi-directory=/boot/efi \
	        --bootloader-id="${NAME} boot manager" --recheck
         umount $GRUB_INSTALL_DEVICE_EFI
	  }
   fi
fi
:

%posttrans efi-x86_64
if [ $1 -ge 1 ]; then
   if [ -e /etc/sysconfig/grub ]; then
       . /etc/sysconfig/grub
   fi
   . /etc/os-release
   if [ "$GRUB_INSTALL_DEVICE_EFI" -a -e /sys/firmware/efi ]; then
      mount $GRUB_INSTALL_DEVICE_EFI /boot/efi && {
         grub-install --target=x86_64-efi --efi-directory=/boot/efi \
	        --bootloader-id="${NAME} boot manager" --recheck
         umount $GRUB_INSTALL_DEVICE_EFI
	  }
   fi
fi
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f grub.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/default/grub
%config(noreplace) %{_sysconfdir}/sysconfig/grub
%dir %{_sysconfdir}/grub.d
%{_sysconfdir}/grub.d/00_header
%{_sysconfdir}/grub.d/10_linux
%{_sysconfdir}/grub.d/20_linux_xen
#%{_sysconfdir}/grub.d/20_other
#%{_sysconfdir}/grub.d/30_other_linux
%{_sysconfdir}/grub.d/30_os-prober
%{_sysconfdir}/grub.d/40_custom
%{_sysconfdir}/grub.d/41_custom
#%{_sysconfdir}/grub.d/90_linux_failsafe
%{_sysconfdir}/bash_completion.d/grub
%{_sysconfdir}/grub.d/README
%{_bindir}/grub-glue-efi
%{_bindir}/grub-kbdcomp
%{_bindir}/grub-menulst2cfg
%{_bindir}/grub-mklayout
%{_bindir}/grub-mount
%{_bindir}/grub-editenv
%{_bindir}/grub-file
%{_bindir}/grub-fstest
%{_bindir}/grub-mkfont
%{_bindir}/grub-mkimage
%{_bindir}/grub-mkpasswd-pbkdf2
%{_bindir}/grub-mkrelpath
%{_bindir}/grub-mknetdir
%{_bindir}/grub-mkrescue
%{_bindir}/grub-mkstandalone
%{_bindir}/grub-render-label
%{_bindir}/grub-script-check
%{_bindir}/grub-syslinux2cfg
%{_sbindir}/grub-bios-setup
%{_sbindir}/grub-install
%{_sbindir}/grub-macbless
%{_sbindir}/grub-mkconfig
%{_sbindir}/grub-ofpathname
%{_sbindir}/grub-reboot
%{_sbindir}/grub-set-default
%{_sbindir}/grub-sparc64-setup
%{_sbindir}/grub-probe
%{_sbindir}/update-grub
%dir /boot/grub
%dir %{_datadir}/grub
%{_datadir}/grub/ascii.h
%{_datadir}/grub/ascii.pf2
%{_datadir}/grub/euro.pf2
%{_datadir}/grub/grub-mkconfig_lib
%{_datadir}/grub/unicode.pf2
%{_datadir}/grub/widthspec.h
%dir %{_datadir}/grub/themes
%{_infodir}/grub-dev.info*
%dir %{_prefix}/lib/grub
%ifarch x86_64 %{ix86}
%dir %{_prefix}/lib/grub/i386-pc
%{_prefix}/lib/grub/i386-pc/*
%endif
%{_mandir}/man1/grub*.1*
%{_mandir}/man8/grub*.8*
%{_datadir}/info/grub.info*
%doc AUTHORS COPYING
#% doc ChangeLog NEWS README THANKS TODO

%files theme-starfield
%defattr(-,root,root)
%dir %{_datadir}/grub/themes/starfield
%{_datadir}/grub/themes/starfield/*

%ifarch %{ix86} aarch64
%files efi
%defattr(-,root,root)
%dir /boot/efi
%ifarch %{ix86}
%dir %{_prefix}/lib/grub/i386-efi
%{_prefix}/lib/grub/i386-efi/*
%endif
%ifarch aarch64
%dir %{_prefix}/lib/grub/arm64-efi
%{_prefix}/lib/grub/arm64-efi/*
%endif
%endif

%ifarch x86_64 %{ix86}
%files efi-x86_64
%defattr(-,root,root)
%dir /boot/efi
%dir %{_prefix}/lib/grub/x86_64-efi
%{_prefix}/lib/grub/x86_64-efi/*
%endif

%changelog
* Sun Apr 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-11mamba
- needs to provide grub

* Sat Apr 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-10mamba
- grub204-efi: obsolete grub-efi  instead of grub-efi.i586

* Sat Apr 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-9mamba
- try obsoleting grub.i586 instead of grub

* Thu Apr 20 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-8mamba
- legacy package for ix86 targets (until 2.06+ might get fixed on these 32 bit targets)

* Sat Mar 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-7mamba
- added upstream patch for ext2 fix following e2fsprogs 1.47

* Mon Aug 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-6mamba
- add required quotes to fix custom boot message in related patch

* Sat Jul 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-5mamba
- updated patch to customize boot message
- posttrans: use OS name from /etc/os-release when building EFI loaders
- add -theme-starfield subpackage

* Sun Jul 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-4mamba
- patched to fix modules sizes with binutils >= 2.36 (see also https://bugs.funtoo.org/browse/FL-8245 )

* Sat Jul 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-3mamba
- patched to silence loading linux and initrd messages

* Sun Dec 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-2mamba
- patched to fix installation of locales in /boot/grub/locale directory

* Fri Jul 05 2019 Automatic Build System <autodist@mambasoft.it> 2.04-1mamba
- automatic version update by autodist

* Tue Dec 19 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.02-2mamba
- disable custom installation of unifont.pf2

* Mon Oct 30 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.02-1mamba
- update to 2.02
- added patch to silent the "Booting" message

* Thu Aug 25 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.02_beta3-1mamba
- update to 2.02_beta3
- patched 10_linux to set openmamba theme colors to submenu

* Thu May 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.bzr20130610-9mamba
- patched to support GRUB_DEFAULT_NOMODESET allowing nomodeset choice as first choice

* Thu Nov 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.bzr20130610-8mamba
- add default selection in advanced boot menu for when multiple kernels are installed

* Sat Oct 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.bzr20130610-7mamba
- change build to fix user space arch on x86_64 and added more build options for bios version

* Mon Sep 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.bzr20130610-6mamba
- forgotten re-applying patch1

* Sat Sep 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.bzr20130610-5mamba
- openmamba boot choices: fix submenu saved entry removing duplicated id and add debug entry

* Mon Aug 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.bzr20130610-4mamba
- remove obsoleted 30_other_linux script after fixing os-prober (since 1.62-2mamba)

* Wed Jul 03 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.bzr20130610-3mamba
- EFI: don't precreate 32 and 64 bit boot images; let external tools call grub-mkimage to create them

* Tue Jun 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.bzr20130610-2mamba
- remove openmamba customized script to detect other O.S. and rely on os-prober script
- detect EFI bootloader installation and update grub if /sys/firmware/efi exists

* Mon Jun 10 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.bzr20130610-1mamba
- update to 2.00.bzr20130610

* Sun Jun 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00-6mamba
- efi: also install *.img and *.sh from grub-core to efi targets direcotries
- efi: also provide precreated bootia32.efi and bootx86.efi for convenience

* Sat Jun 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00-5mamba
- added 64bit EFI grub

* Fri Mar 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00-4mamba
- make update-grub silent and not failing if grub is not installed (e.g. run from makedist)

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00-3mamba
- move update-grub and grub-install commands in posttrans
- fix 20_other openmamba script
- require os-prober and install upstream 30_os-prober (not working yet)
- port openmamba 30_other_linux from grub 1.99

* Mon Mar 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00-2mamba
- added configuration patch for openmamba nomodeset and failsafe choices

* Tue Sep 11 2012 Automatic Build System <autodist@mambasoft.it> 2.00-1mamba
- update to 2.00

* Thu May 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.00.beta5-1mamba
- update to 2.00.beta5

* Fri Sep 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99-5mamba
- 20_other: print information on added entries for update-grub

* Fri Jul 22 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99-4mamba
- grub.d/20_other: use grub-probe to find root drive name and remove old devfs2gdev function

* Mon May 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99-3mamba
- rebuilt with -Os (see https://bugs.archlinux.org/task/24103)

* Mon May 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99-2mamba
- updated from today bazaar repository version
- renamed to grub

* Mon May 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99-1mamba
- update to 1.99

* Wed Nov 17 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-13mamba
- enable UUID mode now that it should in new boot system and with new PATA drivers

* Wed Oct 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-12mamba
- added support for boot using last used entry

* Wed Oct 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-11mamba
- /etc/default/grub: use vbetest from lrmi to set vga mode
- added support for boot using last used entry

* Wed Sep 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-10mamba
- added requirement for gettext
- improved other-linux detection script

* Mon Sep 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-9mamba
- /etc/default/grub: support a failsafe VESA vga mode when no framebuffer is configured

* Sat Sep 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-8mamba
- added configuration for failsafe entry

* Tue Sep 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-7mamba
- gfxmode patch: fixed the cause of multiple syntax errors at grub startup (added quotes to GRUB_GFXMODE definition)

* Mon Sep 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-6mamba
- /etc/defaults/grub: remove option console=tty1 to work with plymouth

* Sat Sep 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-5mamba
- disable recover mode by default (replaced by kernel failsafe package)

* Thu Aug 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-4mamba
- /etc/default/grub: added check for uvesafb module before testing mode and adding video= options

* Tue Jun 08 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-3mamba
- resolve GRUB_INSTALL_DEVICE link for grub-install to fix error with uuid's device naming

* Fri Jun 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.98-2mamba
- launch update-grub event if grub-update cannot be launched to work as fallback with new kernel version
- removed fix_gfx_mode patch

* Sat May 08 2010 Automatic Build System <autodist@mambasoft.it> 1.98-1mamba
- automatic update to 1.98 by autodist

* Wed Apr 21 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.97.2-2mamba
- fixed post warning message about setting GRUB_INSTALL_DEVICE and manually install grub
- updated requirements for cross x86_64 environment

* Wed Jan 27 2010 Automatic Build System <autodist@mambasoft.it> 1.97.2-1mamba
- automatic update to 1.97.2 by autodist

* Sun Dec 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.97.1-2mamba
- added build of 32 bit grub EFI

* Tue Nov 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.97.1-1mamba
- update to 1.97.1

* Sat Oct 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.97-3mamba
- added fix_gfxmode patch to make graphic mode work

* Thu Oct 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.97-2mamba
- added legacy update-grub script

* Mon Oct 26 2009 Automatic Build System <autodist@mambasoft.it> 1.97-1mamba
- automatic update to 1.97 by autodist
- fixme: grub-efi disabled

* Tue Aug 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96.cvs20090521-2mamba
- use GRUB_INSTALL_DEVICE to reinstall grub, or display a warning

* Thu May 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96.cvs20090521-1mamba
- update to 1.96.cvs20090521

* Tue May 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-5mamba
- 30_other-linux script: fix kernel image name match regexp with grub 2

* Sun Mar 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-4mamba
- fix an error in 30_other_linux script

* Sat Mar 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-3mamba
- added script for automatic configuration of other linux systems

* Sun Feb 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-2mamba
- added chainloader patch

* Sun Feb 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.96-1mamba
- update to 1.96

* Tue Jan 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-10mamba
- update-grub: drop default 1280x1024 splash resolution, use 1024x768 or 800x600

* Thu Jan 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-9mamba
- grub.d: change 'other' so it is run after 'linux'

* Tue Jan 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-8mamba
- /etc/default/grub: configure uvesafb for best available vbe mode

* Mon Jan 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-7mamba
- added /etc/sysconfig/grub support in update-grub
- added default /etc/sysconfig/grub
- added build requirement for bison

* Sat Jan 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-6mamba
- added /etc/default/grub and /etc/grub.d/05_other for update-grub
- patches to properly configure grub.cfg with update-grub for openmamba

* Sat Dec 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-5mamba
- update to cvs 20071201

* Wed Oct 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-4mamba
- grub-install: preload configfile module by default

* Fri Sep 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-3mamba
- update to cvs 20070921
- enabled build of grub-emu

* Wed Aug 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-2mamba
- update to cvs 20070815
- added default font for graphical menu

* Tue Jun 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95-1mamba
- package created by autospec
